--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "type:"
    body: message type
  - !ruby/struct:SM::Flow::LI 
    label: "where:"
    body: message target
  - !ruby/struct:SM::Flow::LI 
    label: "message:"
    body: message text
  type: :NOTE
- !ruby/struct:SM::Flow::P 
  body: send message <tt>message</tt> of type <tt>type</tt> to target <tt>where</tt> Type can be PRIVMSG, NOTICE, etc, but those you should really use the relevant say() or notice() methods. This one should be used for IRCd extensions you want to use in modules.
full_name: Irc::Bot#sendmsg
is_singleton: false
name: sendmsg
params: (type, where, original_message, options={})
visibility: public
